## NAME

CURLOPT_NEW_DIRECTORY_PERMS - permissions for remotely created directories

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NEW_DIRECTORY_PERMS,
                              long mode);

## DESCRIPTION

Pass a long as a parameter, containing the value of the permissions that will be assigned to newly created directories on the remote server. The default value is 0755, but any valid value can be used. The only protocols that can use this are sftp://, scp://, and file://.

## DEFAULT

0755

## PROTOCOLS

SFTP, SCP and FILE

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.16.4

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_NEW_FILE_PERMS, CURLOPT_UPLOAD

This HTML page was made with roffit.